summaryrefslogtreecommitdiffstats
path: root/authz-test/src/main/scripts/copy
diff options
context:
space:
mode:
Diffstat (limited to 'authz-test/src/main/scripts/copy')
-rw-r--r--authz-test/src/main/scripts/copy17
1 files changed, 17 insertions, 0 deletions
diff --git a/authz-test/src/main/scripts/copy b/authz-test/src/main/scripts/copy
new file mode 100644
index 00000000..59e86bf9
--- /dev/null
+++ b/authz-test/src/main/scripts/copy
@@ -0,0 +1,17 @@
+# /bin/bash
+if [ "$2" != "" ] ; then
+ if [ -e $2 ]; then
+ echo "$2 exists, copy aborted"
+ exit 1
+ fi
+ mkdir -p TestCases/$2
+ for FILE in TestCases/$1/*; do
+ FILE2=`echo $FILE | sed -e "s/$1/$2/"`
+ echo $FILE2
+ sed -e "s/$1/$2/g" $FILE > $FILE2
+ done
+else
+ echo 'Usage: copy <Source TestCase> <Target TestCase>'
+fi
+
+exit 0